Skip to main content
PUT
Update a product

Autorizaciones

Authorization
string
header
requerido

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Parámetros de ruta

id
string<uuid>
requerido

A UUID string identifying this product.

Cuerpo

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

code
string
requerido
name
string
requerido
tracking_method
enum<string>
requerido
  • N - NONE
  • S - SERIAL
  • B - BATCH
Opciones disponibles:
N,
S,
B
conversion_factor
string<decimal>
requerido
Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
is_imported
boolean
requerido
manage_committed_inventory
boolean
requerido
has_substitute
boolean
requerido
product_class
enum<string>
requerido
  • NO - NONE
  • RM - RAW_MATERIAL
  • PR - IN_PROCESS
  • FP - FINISHED_PRODUCT
Opciones disponibles:
NO,
RM,
PR,
FP
group
string<uuid>
requerido
base_unit
string<uuid>
requerido
product_type
string<uuid>
requerido
custom_fields
unknown
description
string | null
is_active
boolean
product_option
string<uuid>[] | null
brand
string<uuid> | null
alternative_measure_unit
string<uuid> | null
tree_hash
string<uuid> | null

Respuesta

200 - application/json
message
string
requerido

Human-readable outcome of the request.

error
boolean
requerido

true when the request failed.

Ejemplo:

false

data
object
requerido

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.